> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sacra.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get company filings (batch)

> Same as GET but accepts a JSON body. Requires either `company_domain` or `company_id`.



## OpenAPI

````yaml POST /api/v1/filings/
openapi: 3.0.3
info:
  title: Sacra API
  version: 1.0.0
  description: >-
    The Sacra API currently supports querying News, Documents, Companies and
    Categories that enable you to use Sacra research within your own
    application.


    ## **Getting started guide**


    To start using the APIs, you need to:


    - Only available to **Platforms** and **Funds** tier members. (See
    [here](https://sacra.com/pricing/))
        
    - You must use a valid API Key to send requests to the API endpoints. You
    can generate your API key in the Api Keys section of your [Organization
    Settings](https://sacra.com/orgs/settings/general/).
        
    - The API returns request responses in JSON format. When an API request
    returns an error, it is sent in the JSON response as an error key.
        

    ## Authentication


    The Sacra API uses Tokens for authentication.


    You can generate a Sacra API Key/Token in the Api Keys section of your
    [Organization Settings](https://sacra.com/orgs/settings/general/).


    You must include an API Key/Token in each request to the Sacra API with the
    **Authorization** request header.


    ### Authentication error response


    If a Token is missing, malformed, or invalid, you will receive an HTTP 401
    Unauthorized response code.


    ### **Need some help?**


    In case you have questions, we will eventually provide tutorials and a FAQ
    page. But for now you can check out the
    [#developers](https://discord.gg/mTswyV8gg3) channel in our community
    [Discord](https://discord.gg/mTswyV8gg3), there’s a good chance our
    community has an answer for you.


    ## Authorization


    | **Key** | **Value** |

    | --- | --- |

    | Authorization | Token {{API_KEY}} |
servers:
  - url: https://sacra.com
    description: Production
security: []
tags:
  - name: Companies
  - name: Categories
  - name: Events
  - name: News
  - name: Documents
  - name: Filings
  - name: Embeds
  - name: Metrics
  - name: Funding (Legacy)
paths:
  /api/v1/filings/:
    post:
      tags:
        - Filings
      summary: Get company filings (POST)
      description: >-
        Same as GET but accepts a JSON body. Requires either `company_domain` or
        `company_id`.
      operationId: filings_create
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FilingsPostRequest'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/FilingsPostRequest'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/FilingsPostRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FilingsPostResponse'
          description: Paginated list of filings for the company. Same shape as GET.
        '400':
          content:
            text/plain:
              schema:
                type: string
                example: Either company_domain or company_id parameter is required
          description: Invalid parameters.
        '404':
          content:
            text/plain:
              schema:
                type: string
                example: 'Company not found for domain: spacex.com'
          description: Company not found.
      security:
        - SacraAPIAuthentication: []
components:
  schemas:
    FilingsPostRequest:
      type: object
      properties:
        company_id:
          type: integer
          description: Internal ID of the company. Takes priority over `company_domain`.
        company_domain:
          type: string
          description: Domain of the company (e.g. `spacex.com`).
        filing_type:
          type: string
          description: Filter by filing type (e.g. `10-K`).
        filed_at_start:
          type: string
          format: date-time
          description: Filter filings filed on or after this datetime (ISO 8601).
        filed_at_end:
          type: string
          format: date-time
          description: Filter filings filed on or before this datetime (ISO 8601).
    FilingsPostResponse:
      type: object
      properties:
        filings:
          type: array
          items:
            $ref: '#/components/schemas/FilingPostItem'
        meta:
          $ref: '#/components/schemas/FilingsPostMeta'
        pagination:
          $ref: '#/components/schemas/FilingsPostPagination'
      required:
        - filings
        - meta
    FilingPostItem:
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
        type:
          type: string
        format:
          type: string
        region:
          type: string
        filed_at:
          type: string
          format: date-time
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        url:
          type: string
      required:
        - created_at
        - filed_at
        - format
        - id
        - name
        - region
        - type
        - updated_at
        - url
    FilingsPostMeta:
      type: object
      properties:
        company_id:
          type: string
        company_domain:
          type: string
        company_name:
          type: string
        filing_type_filter:
          type: string
          nullable: true
      required:
        - company_domain
        - company_id
        - company_name
        - filing_type_filter
    FilingsPostPagination:
      type: object
      properties:
        next:
          type: string
          nullable: true
        previous:
          type: string
          nullable: true
        page_size:
          type: integer
        current_page_items:
          type: integer
      required:
        - current_page_items
        - next
        - page_size
        - previous
  securitySchemes:
    SacraAPIAuthentication:
      type: apiKey
      in: header
      name: Authorization
      description: |-
        Authenticate using one of two formats:

        - **Organization/user token:** `Token <your-token>`
        - **Stytch JWT:** `Bearer <your-jwt>`

````